MMEvents.createProcesses(event => {
  event
    .create('mm:soul_sand_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:soul_sand',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 10000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:gunpowder',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:glowstone_dust',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:bone',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:quartz',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.20,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:ancient_debris',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.50,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:nether_wart',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:ghast_tear',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.20,
      ingredient: {
        type: 'mm:item',
        item: 'enderio:soularium_nugget',
        count: 1
      }
    })
})
